#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,i,mn=1,mx;
    cin>>n;
    mx=2*n;
    vector <int> a,b;
    for(i=0;i<n;i++)
    {
        if(i%2==0)
        {
            a.push_back(mn);
            b.push_back(mx);
            mn++;
            mx--;
        }
        else
        {
            a.push_back(mx);
            b.push_back(mn);
            mx--;
            mn++;
        }
    }
    for(i=0;i<a.size();i++)
    {
        cout<<a[i]<<" ";
    }
    cout<<endl;
    for(i=0;i<b.size();i++)
    {
        cout<<b[i]<<" ";
    }
    return 0;
}